:root {
  /* --- Colors --- */
  --color-text: #111111;
  --color-text-alt:  rgba(17, 17, 17, 0.7);
  --color-border: rgba(17, 17, 17, 0.5);
  --color-bg: #F8F8F5;
  --color-surface: #F8F8F5;
  --color-primary: #EB435D;
  /* --- font family --- */
  --ff-display: 'Cormorant Garamond', serif;
  --ff-body: 'Inter', sans-serif;

  /* --- Spacing (8px System) --- */

  --space-8:   clamp(6px, 0.5vw + 4px, 8px);
  --space-16:  clamp(12px, 1vw + 8px, 16px);
  --space-24:  clamp(18px, 1.5vw + 12px, 24px);
  --space-32:  clamp(24px, 2vw + 16px, 32px);
  --space-40:  clamp(30px, 2.5vw + 20px, 40px);
  --space-48:  clamp(36px, 3vw + 24px, 48px);
  --space-64:  clamp(48px, 4vw + 32px, 64px);
  --space-80:  clamp(60px, 5vw + 40px, 80px);
  --space-96:  clamp(72px, 6vw + 48px, 96px);

  /* --- Section Spacing --- */

  --section-space-sm: clamp(80px, 10vw + 40px, 160px);  /* Scales to 160px */
  --section-space-md: clamp(120px, 15vw + 60px, 200px); /* Scales to 200px */
  --section-space-lg: clamp(160px, 20vw + 80px, 256px); /* Scales to 256px (32*8) */

  /* --- Typography --- */

  --fs-xs: clamp(0.8rem, 0.78rem + 0.1vw, 0.95rem);

  --fs-16: 1rem;

  --fs-20: clamp(1rem, 0.98rem + 0.2vw, 1.25rem);

  --fs-25: clamp(1.1rem, 1.05rem + 0.3vw, 1.56rem);

  --fs-31: clamp(1.25rem, 1.15rem + 0.5vw, 1.94rem);

  --fs-39: clamp(1.4rem, 1.25rem + 0.8vw, 2.44rem);

  --fs-49: clamp(1.6rem, 1.4rem + 1.2vw, 3.06rem);

  --fs-61: clamp(1.9rem, 1.6rem + 1.6vw, 3.81rem);

  --fs-76: clamp(2.2rem, 1.8rem + 2.2vw, 4.75rem);

  --fs-91: clamp(2.6rem, 2rem + 3vw, 5.69rem);

  /* --- Border Radius --- */
  --radius-sm: 8px;
  --radius-md: 10px;
  --radius-lg: 16px;

  /* --- Shadows --- */
  --shadow-light: 0 2px 4px rgba(0, 0, 0, 0.05);
  --shadow-medium: 0 4px 12px rgba(0, 0, 0, 0.08);
  --shadow-big: 0 12px 24px rgba(0, 0, 0, 0.12);

  /* --- Layout Widths --- */
  
  /* 1. Full Screen */
  --width-full: 100%;

  /* 2. Contained */
  --width-contained: calc(100% - 128px);
  
  /* 3. Standard Max-Width */ 
  --max-site-width: 1440px; 

  /* Responsive Margin (Mobile safety) */
  --inline-margin: calc(100% - 64px);
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html, body {
  height: 100%;
}

html {
  scroll-behavior: smooth;
}

text {
  word-break: normal;
  overflow-wrap: break-word;
}

body {
  font-family: var(--ff-body);
  background-color: var(--color-bg);
  color: var(--color-text);
  font-size: var(--fs-16);
  line-height: 1.5;
  margin: 0;
  overflow-x: hidden;
}

ul {
  list-style: none;
}

a, button {
  cursor: pointer;
  text-decoration: none;
  color: inherit;
}

.cell-wide {
  grid-column: 1 / -1;
  cursor: none;
}

/* --- header -- */

header {
  position: fixed;
  width: 100%;
  top: 0;
  left: 0;
  height: 15vh;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 10;
}

nav {
  max-width: var(--width-contained);
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 100%;
}

.hamburger {
    display: flex;
    flex-direction: column;
    gap: var(--space-8);
    cursor: pointer;
    z-index: 11;
    width: 2rem;
    border: none;
    background-color: transparent;
    transition: all 0.1s;
}

.ham-line {
    display: block;
    width: 100%;
    height: 2px;
    background-color: var(--color-text);
    transition: all 0.6s;
}


.hamburger.active .line-1 {
    transform: rotate(45deg) translate(0.4rem, 0.4em);
    background-color: var(--color-bg);
}

.hamburger.active .line-2 {
    opacity: 0;
}

.hamburger.active .line-3 {
    transform: rotate(-45deg) translate(0.4rem, -0.5rem);
    background-color: var(--color-bg);
}

.logo img { 
  margin-top: var(--space-32);
  width: 200px;
}

.nav-menu {
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-content: end;
    gap: var(--space-32);
    background-color: var(--color-text);
    padding-top: var(--section-space-sm);
}

.nav-menu li{
    font-size: var(--fs-91); 
    width: 100%;
    padding: 0 var(--space-40);
    letter-spacing: .2rem;
    overflow: hidden;
    color: var(--color-bg);
    font-family: var(--ff-display);
    font-weight: 600;
    font-style: italic;
}

@media (max-width: 768px) {
  .hamburger.active .line-1 {
    transform: rotate(45deg) translate(0.3rem, 0.3em);
    background-color: var(--color-bg);
  }

  .hamburger.active .line-3 {
      transform: rotate(-45deg) translate(0.4rem, -0.4rem);
      background-color: var(--color-bg);
  }

  .nav-menu li{
    font-size: 4rem; 
  }

  .logo img {
    width: 130px;
    margin-top: 5px;
  }

  nav {
    max-width: var(--inline-margin)
  }
}

/* --- Hero Section --- */

#hero {
  min-height: 100vh;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  position: relative;
}

.texture-bg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
}

.texture-bg img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.hero-container {
  width: 100%;
  max-width: var(--width-contained);
  height: 100%;
  display: grid; 
  grid-template-columns: 1fr 1fr;
  position: relative;
}

.marquee {
  z-index: -1;
  grid-column: 1 / -1;
  grid-row: 1 / 2;
  align-self: center;
  width: 100%;
  overflow: hidden;
}

.marquee-track {
  display: flex;
  gap: var(--space-24);
  white-space: nowrap;
  font-family: var(--ff-header);
  font-size: var(--fs-61);
  line-height: 1;
  font-weight: 200;
  font-style: italic;
  color: var(--color-text-alt);
}

.hero-img {
  grid-column: 2 / 3;
  grid-row: 1 / 2
}

.hero-img img {
  width: clamp(365px, 35vw, 450px);
  height: auto;
  aspect-ratio: 3 / 4;
}

.hero-text {
  grid-column: 1 / -1;
  grid-row: 2 / 3;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: start;
  font-size: var(--fs-31);
}


.hero-title {
  font-family: var(--ff-display);
  font-size: clamp(4.5rem, 12vw, 9.375rem);
  font-weight: 600;
  font-style: italic;
  line-height: .75;
  overflow :hidden;
}

.cta {
  grid-row: 3/4;
  grid-column: 1 / -1;
  padding: 1rem 2rem;
  justify-self: center;
  margin-top: var(--space-96);
  background: 
    color( rgba(17, 17, 17, 0.5), transparent),
    url("assets/paper-texture.png");
  background-size: cover;
  font: var(--fs-31) var(--ff-display);
  border-radius: var(--radius-sm);
  transition: all 0.3s ease-in-out;
  box-shadow: 0 8px 20px rgba(0, 0, 0, 0.12);
  overflow: hidden;
  border: 2px solid var(--color-bg);
}

.cta:hover {
  transform-origin: left center;
  background-size: cover;
  background-color: var(--color-text);
  color: var(--color-bg);
  transform: scale(1.05);
}

@media (max-width : 768px) {
  .hero-container {
    grid-template-columns: 1fr;
    max-width: var(--inline-margin);
    gap: var(--space-40);
  }

  .hero-img {
    grid-column: 1 / 2;
    grid-row: 1 / 2;
  }

  .hero-text {
    grid-row : 3/4;
    grid-column: 1 / 2;
  }

  .cta {
    grid-row: 4 / 5;
    grid-column: 1 / 2;
    margin-top: var(--space-40)
  }

  .marquee {
    grid-row: 2 / 3;
  }
}

#gallery {
  min-height: 100vh;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  position: relative;
  overflow: hidden;
}

.gallery-container {
  width: 100%;
  max-width: var(--width-contained);
  height: 100%;
  display: grid; 
  align-items: center;
  row-gap: var(--space-64);
  grid-template-columns: repeat(2, 1fr);
  position: relative;
  margin-top: var(--space-96);
}

#gallery h2 {
  justify-self: start;
  font-size: var(--fs-76);
  font-family: var(--ff-display);
  font-weight: 200;
  color: var(--color-text);
  line-height: 1;
  display: flex;
  flex-direction: column;
}

#gallery h2 span:first-child {
  transform: rotate(-8deg);
}

#gallery h2 span:last-child {
  padding-left: var(--space-40);
  font-weight: 600;
}

.gallery-container > .img-wrapper:nth-child(even) {
  justify-self: end;
}

.gallery-container img {
  box-shadow: 0 4px 16px rgba(0, 0, 0, 0.08);
  transition: box-shadow 0.3s ease, transform 0.3s ease;
}

.gallery-container img:hover {
  box-shadow: 0 12px 22px rgba(0, 0, 0, 0.15);
  transform: translateY(-4px);
}

@media (max-width: 768px) {
  .gallery-container {
    grid-template-columns: 1fr; 
    max-width: var(--inline-margin);
    row-gap : var(--space-40);
  }

  .gallery-container > .img-wrapper:nth-child(even) {
    justify-self: end;
  }

  .gallery-container > .img-wrapper:nth-child(odd) {
    justify-self: start;
  }

  .img-wrapper img {
    object-fit: cover;
    width: 100%;
  }

  .img-wrapper {
    width: 80%;
  }
}

#about {
  min-height: 100vh;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  position: relative;
  overflow: hidden;
}

.about-container {
  width: 100%;
  max-width: var(--width-contained);
  height: 100%;
  display: grid; 
  align-items: center;
  grid-template-columns: 1fr 1fr;
  position: relative;
  margin-top: var(--space-96);
}

.about-container img {
  box-shadow: 0 4px 16px rgba(0, 0, 0, 0.08);
  transition: box-shadow 0.3s ease, transform 0.3s ease;
  object-fit: cover;
}

.about-container img:hover {
  box-shadow: 0 12px 22px rgba(0, 0, 0, 0.15);
  transform: translateY(-4px);
}

#about .img-wrapper {
  justify-self: end;
}

#about h2 {
  font-family: var(--ff-display);
  font-size: var(--fs-91);
  font-weight: 200;
  line-height: 1;
  overflow: hidden;
}

.about-title p {
  font-size: var(--fs-25);
}

.about-content {
  display: flex;
  flex-direction: column;
  gap: var(--space-40);
}

.about-text {
  color: var(--color-text-alt);
  display: flex;
  flex-direction: column;
  gap: var(--space-32);
  font-size: var(--fs-20);
}

@media (max-width: 768px) {
  .about-container {
    grid-template-columns: 1fr; 
    max-width: var(--inline-margin);
    row-gap : var(--space-40);
  }

  #about .img-wrapper {
    justify-self: center;
    grid-row: 1 / 2;
  }
}

#contact {
  min-height: 100vh;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  position: relative;
  overflow: hidden;
}

.contact-container {
  width: 100%;
  max-width: var(--width-contained);
  height: 100%;
  display: grid; 
  align-items: center;
  grid-template-columns: 1fr 1fr;
}

#contact .img-wrapper {
  justify-self: end;
}

.booking-card {
  background-color: var(--color-bg);
  box-shadow: var(--shadow-medium);
  border-radius: var(--radius-md);
  padding: var(--space-32);
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: var(--space-24);
  max-width: 600px;
  min-height: 500px;
}

#contact p {
  color: var(--color-text-alt);
}

#contact h2 {
  font-family: var(--ff-display);
  font-size: var(--fs-39);
  font-weight: 600;
  line-height: 1;
  overflow: hidden;
  margin-bottom: var(--space-32);
}

#contact form {
  display: flex;
  flex-direction: column;
  gap: var(--space-32);
  margin-left : var(--space-40);
}

.booking-info {
  display: flex;
  flex-direction: column;
  gap: var(--space-16);
}

#contact a {
  position: relative;
  transition: all 0.3s ease-in-out;
}

#contact a::after {
  content: '';
  position: absolute;
  bottom: -2px;
  left: 0;
  width: 100%;
  height: 2px;
  background-color: var(--color-text-alt);
  transform: scaleX(0);
  transform-origin: center;
  transition: transform 0.3s ease-in-out;
}

#contact a:hover::after {
  transform: scaleX(1);
}

input, textarea {
  padding: var(--space-16);
  border-radius: var(--radius-md);
  border: none;
  background-color: var(--color-bg);
  box-shadow: var(--shadow-medium);
}

form button {
  align-self: center;
  padding: var(--space-8) var(--space-32);
  font-family: var(--ff-display);
  font-size: var(--fs-25);
  position: relative;
  border: none;
  background: transparent;
  transition: all 0.3s ease-in-out;
}

form button::after {
  content: '';
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 2px;
  background-color: var(--color-text);
  transform-origin: center;
  transition: transform 0.3s ease-in-out;
  transform: scaleX(.5);
}

form button:hover::after {
  transform: scaleX(1);
}

form button:hover {
  transform: scale(1.1);
  padding-left: var(--space-40);
}

@media (max-width: 768px) {
  .contact-container {
    grid-template-columns: 1fr; 
    max-width: var(--inline-margin);
    row-gap : var(--space-40);
    margin-top: var(--space-96);
  }

  #contact .img-wrapper {
    justify-self: center;
    grid-row: 2 / 3;
  }

  #contact form {
    margin-left : 0;
  }
}

/* -- footer -- */ 

footer {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding-top: var(--space-32);
  border-top: 2px solid var(--color-text-alt);
}

.footer-container {
  width: 100%;
  max-width: var(--width-contained);
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  padding-bottom: var(--space-32);
}

.social-links {
  display: flex;
  flex-direction: column;
  align-items: start;
  gap: var(--space-16);
}

.social-links a {
  position: relative;
  transition: all 0.3s ease-in-out;
}

.social-links a::after {
  content: '';
  position: absolute;
  bottom: -2px;
  left: 0;
  width: 100%;
  height: 2px;
  background-color: var(--color-text-alt);
  transform: scaleX(0);
  transform-origin: center;
  transition: transform 0.3s ease-in-out;
}

.social-links a:hover::after {
  transform: scaleX(1);
}

.social-links h3 {
  font-family: var(--ff-display);
  font-size: var(--fs-31);
  font-weight: 600;
  color: var(--color-text);
}

.footer-extra {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: var(--space-8);
}

.footer-extra a {
  text-decoration: underline;
  color: var(--color-text-alt);
}

.copyright {
  border-top: 2px solid var(--color-text-alt);
  justify-self: center;
  align-self: center;
  width: 100%;
  padding: var(--space-16) 0;
  text-align: center;
}

.copyright a {
  text-decoration: underline;
  color: var(--color-text-alt);
}

@media (max-width: 768px) {
  footer {
    margin-top: var(--space-96);
  }

  .footer-container {
    grid-template-columns: 1fr; 
    max-width: var(--inline-margin);
    row-gap : var(--space-40);
  }

  .footer-extra p:last-child {
    text-align: center;
  }

  .social-links {
    align-items: center;
  }
  
  .footer-logo img {
    width: 100%;
    object-fit: cover;
  }
}

/* --------- SERVICES PAGE --------- */
.body-services {
  background-color: #060606;
  color: var(--color-bg);
}

.body-services .ham-line {
  background-color: var(--color-bg);
}

.body-services .nav-menu {
  background-color: var(--color-bg);
}

.body-services .nav-menu li {
  color: var(--color-text);
}

.body-services .hamburger.active .line-1,
.body-services .hamburger.active .line-3 {
  background-color: var(--color-text);
}

/* --- Services Section --- */

#services-hero {
  min-height: 100vh;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: end;
  position: relative;
  overflow: hidden;
}

.service-bg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
}

.service-bg img {
  width: 100%;
  height: 100%;
  object-fit: cover;
} 

.service-title {
  font-family: var(--ff-display);
  font-size: clamp(2rem, 12vw, 4rem);
  font-weight: 200;
  font-style: italic;
  width: 100%;
  max-width: var(--width-contained);
  text-align: end;
  overflow: hidden;
}

#services-info {
  width: 100%;
  min-height: auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: start;
  margin-top: var(--section-space-sm);
}

.services-container {
  width:100%;
  height: 100%;
  max-width: var(--width-contained);
  display: flex;
  flex-direction: column;
  justify-content: start;
  gap: var(--space-96);
  padding-bottom: var(--section-space-sm);
}


.service-card {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: var(--space-4);
  overflow: hidden;
  cursor: pointer;
  transition: all .5s ease-in-out;
  padding: var(--space-16);
}

.card-title {
  display: flex;
  width: 100%;
  justify-content: space-between;
  align-items: center;
  font-family: var(--ff-display);
  font-size: var(--fs-76);
  font-weight: 200;
  transition: all .5s ease-in-out;
  position: relative;
  line-height: 1;
}

.card-title::after {
  display: inline-block;
  content: '';
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 2px;
  background-color: var(--color-bg);
}

.card-lines {
  position: relative;
  padding: 1rem;
}

.card-line-1, .card-line-2 {
  content: '';
  position: absolute;
  top: 50%;
  left: 0;
  width: 100%;
  height: 2px;
  transition: all .4s ease-in-out;
  background-color: var(--color-bg);
}

.card-text {
  display: flex;
  flex-direction: column;
  gap: var(--space-8);
}

.card-text h3 {
  font-size: var(--fs-39);
  font-family: var(--ff-display);
  font-weight: 400;
}

.card-content {
  font-size: var(--fs-16);
  display: flex;
  width: 100%;
  justify-content: space-between;
  padding: 0 var(--space-40) ;
}

.card-text p {
  opacity: .75;
  font-weight: 200;
  font-size: var(--fs-20);
  font-style: italic;
}

.price {
  font-size: var(--fs-61);
  font-family: var(--ff-display);
  font-weight: 600;
}

.card-inner {
  height: 80px;
  display: flex;
  flex-direction: column;
  align-items: start;
  gap: var(--space-32);
}

.card-title.active .card-line-2 {
  transform: rotate(90deg);
  transform-origin: center;
}

.service-card:last-child .card-text:first-child {
  margin-top: var(--space-8);
}

.char {
  display: inline-block;
}

.word {
  display: inline-block;
}


@media (max-width: 768px) {
  .services-container, .service-title {
    max-width: var(--inline-margin);
  }

  .service-title {
    text-align: left;
    font-size: var(--fs-76);
  }

  .card-inner {
    height: 50px;
  }

  .card-content {
    padding: 0 var(--space-16);
    gap: var(--space-16);
  }

  .card-text p {
    font-size: var(--fs-16);
  }
}